libhttppp ..

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
libhttppp::HTTPException Class Reference

## Public Types
enum | Type { Note , Warning , Error , Critical }

## Public Member Functions
| HTTPException (const HTTPException &exp)
int | getErrorType () const
const std::string & | what () const
HTTPException & | append (const std::string &src)
HTTPException & | operator[] (int errtype)
HTTPException & | operator<< (const std::string &src)
HTTPException & | operator<< (int src)

The documentation for this class was generated from the following files:

- src/exception.h
- src/exception.cpp